Bug 1195265 (CVE-2015-8901)

Summary: CVE-2015-8901 ImageMagick: denial of service flaw in MIFF file processing
Product: [Other] Security Response Reporter: Martin Prpič <mprpic>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: bleanhar, carnil, ccoleman, dmcphers, ethan, jdetiber, jhorak, jialiu, jkeck, jodie.cunningham, jokerman, kseifried, lmeyer, mmccomas, nmurray, pahan
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-09-22 12:49:48 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1195267    
Bug Blocks: 1195276    

Description Martin Prpič 2015-02-23 13:54:53 UTC
A denial of service flaw (infinite loop) was found in the way ImageMagick processed certain MIFF files:

http://seclists.org/oss-sec/2015/q1/608

Upstream issue, including a reproducer:

http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26931

A patch is not yet available as noted in comment 2 of the above-linked issue.

Comment 1 Martin Prpič 2015-02-23 13:55:48 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1195267]

Comment 2 Jodie Cunningham 2015-03-03 18:34:40 UTC
A patch for this issue should be available for IM6 here: http://trac.imagemagick.org/changeset/17854

Comment 3 Fedora Update System 2015-03-15 10:53:14 UTC
ImageMagick-6.8.8.10-9.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Adam Mariš 2016-06-07 08:18:45 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q2/481